[gentoo-commits] proj/sci:master commit in: sci-biology/SEECER/, sci-biology/SEECER/files/

2021-08-05 Thread Andrew Ammerlaan
commit: ecafe6de617cdf6c61a300eafffca973aeac428b
Author: Lucas Mitrak  lucasmitrak  com>
AuthorDate: Thu Aug  5 00:54:17 2021 +
Commit: Andrew Ammerlaan  gentoo  org>
CommitDate: Thu Aug  5 11:15:46 2021 +
URL:https://gitweb.gentoo.org/proj/sci.git/commit/?id=ecafe6de

sci-biology/SEECER: EAPI bump, patch, remove files, fix build system

* EAPI bump
* Remove "rename_jellyfish_binary.patch" from ebuild which does nothing
* Add a patch that increases the max sequence length
* Add a patch that removes CXXFLAGS, CFLAGS, LDFLAGS
* Add tc-check-openmp so the ebuild fails without OpenMP support
* Remove copying a new replace_ids.cc file which is now a patch
* Delete all object files
* Delete packaged seqan
* Add eautoreconf to recreate the build system
* Add system seqan include path and CXXFLAGS to econf

Currently, sci-biology/SEECER will not compile due to object files
remaining in the package. This was fixed by deleting all object files
and so forcing them to be rebuilt. The packaged seqan was deleted as
well so the system's seqan is used. In order to achieve this, the
system's seqan include path was passed into econf as
"/usr/include/seqan". The user's CXXFLAGS were passed into econf also.
The patch SEECER-remove-flags.patch removes any other CXXFLAGS, CFLAGS,
and LDFLAGS present in configure.ac and Makefile.am.
Since configure.ac and Makefile.am were updated, the build system was
recreated using eautoreconf -i to account for this. The -i was needed
because the "compile" file is missing, so it had to be added. The patch
SEECER-increase-max-sequence-length.patch increases the max sequence
length from 256 to 1. This patch was made from an updated
replace_ids.cc downloaded from an archived upstream mail list
that is no longer available online [1]. The previous revision ebuild
included this same replace_ids.cc file; however, despite it appearing
as a text file, it was actually a gzipped file with an incorrect
extension. In addition, this gzipped file was copied into the src/
directory when the replace_ids.cc file is in the pipeline/ directory.
The patch file "rename_jellyfish_binary.patch" also did nothing
but modify a comment so it was removed as well. In addition,
a tc-check-openmp was added so the ebuild fails without OpenMP support.
OpenMP cannot be added as a use flag or a configure enable flag because
gomp is always enabled and the source code assumes the system has OpenMP
installed. Finally, the EAPI was bumped.

[1] URL Split into three parts for the sake of the commit message:
https://web.archive.org/web/20150911132231/
http://seecer-rna-read-error-correction-mailing-list.21961.x6.nabble.com
/Segmentation-fault-in-step-4-td41.html

Closes: https://bugs.gentoo.org/755776
Package-Manager: Portage-3.0.20, Repoman-3.0.2
Signed-off-by: Lucas Mitrak  lucasmitrak.com>
Closes: https://github.com/gentoo/sci/pull/1105
Signed-off-by: Andrew Ammerlaan  gentoo.org>

 sci-biology/SEECER/SEECER-0.1.3-r3.ebuild  | 66 ++
 .../SEECER-increase-max-sequence-length.patch  | 44 +++
 sci-biology/SEECER/files/SEECER-remove-flags.patch | 30 ++
 3 files changed, 140 insertions(+)

diff --git a/sci-biology/SEECER/SEECER-0.1.3-r3.ebuild 
b/sci-biology/SEECER/SEECER-0.1.3-r3.ebuild
new file mode 100644
index 0..e41bbb19d
--- /dev/null
+++ b/sci-biology/SEECER/SEECER-0.1.3-r3.ebuild
@@ -0,0 +1,66 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit autotools toolchain-funcs
+
+DESCRIPTION="SEquence Error Corrector for RNA-Seq reads"
+HOMEPAGE="http://sb.cs.cmu.edu/seecer/;
+SRC_URI="
+   http://sb.cs.cmu.edu/seecer/downloads/"${P}".tar.gz
+   http://sb.cs.cmu.edu/seecer/downloads/manual.pdf -> "${PN}"-manual.pdf"
+
+LICENSE="GPL-3"
+SLOT="0"
+KEYWORDS="~amd64"
+
+# although has bundled jellyfish-1.1.11 copy it just calls the executable 
during runtime
+# seems jellyfish-2 does not accept same commandline arguments
+DEPEND="
+   sci-libs/gsl:0=
+   sci-biology/seqan:0="
+RDEPEND="${DEPEND}
+   sci-biology/jellyfish:1"
+
+S="${WORKDIR}/${P}/SEECER"
+
+PATCHES=(
+   "${FILESDIR}"/remove-hardcoded-paths.patch
+   "${FILESDIR}"/run_seecer.sh.patch
+   "${FILESDIR}"/run_jellyfish.sh.patch
+   "${FILESDIR}"/${PN}-increase-max-sequence-length.patch
+   "${FILESDIR}"/${PN}-remove-flags.patch
+)
+
+pkg_pretend(){
+   # openmp is a hard requirement due to no gomp switch and source code 
assuming it is available
+   [[ ${MERGE_TYPE} != "binary" ]] && tc-check-openmp
+}
+
+pkg_setup(){
+   [[ ${MERGE_TYPE} != "binary" ]] && tc-check-openmp
+}
+
+src_prepare(){
+   rm bin/.run*.swp || die
+   rm src/*.o pipeline/*.o || die
+   rm -r seqan-cxx || die
+   default
+   eautoreconf -i
+}
+
+src_configure(){
+   econf \
+   --with-seqan-include-path=/usr/include/seqan \
+   

[gentoo-commits] proj/sci:master commit in: sci-biology/SEECER/, sci-biology/SEECER/files/

2015-11-13 Thread Martin Mokrejs
commit: c10c56b06fbaf0b0127db70aa6ad7b7910694d2e
Author: Martin Mokrejš  fold  natur  cuni  cz>
AuthorDate: Fri Nov 13 17:26:00 2015 +
Commit: Martin Mokrejs  fold  natur  cuni  cz>
CommitDate: Fri Nov 13 17:26:00 2015 +
URL:https://gitweb.gentoo.org/proj/sci.git/commit/?id=c10c56b0

sci-biology/SEECER: remove hardcoded paths

Package-Manager: portage-2.2.18

 sci-biology/SEECER/ChangeLog   |  7 
 ...ECER-0.1.3-r1.ebuild => SEECER-0.1.3-r2.ebuild} |  3 ++
 .../SEECER/files/remove-hardcoded-paths.patch  | 49 ++
 3 files changed, 59 insertions(+)

diff --git a/sci-biology/SEECER/ChangeLog b/sci-biology/SEECER/ChangeLog
index eae131d..2872b27 100644
--- a/sci-biology/SEECER/ChangeLog
+++ b/sci-biology/SEECER/ChangeLog
@@ -2,6 +2,13 @@
 # Copyright 1999-2015 Gentoo Foundation; Distributed under the GPL v2
 # $Id$
 
+*SEECER-0.1.3-r2 (13 Nov 2015)
+
+  13 Nov 2015; Martin Mokrejs 
+  +SEECER-0.1.3-r2.ebuild, +files/remove-hardcoded-paths.patch,
+  -SEECER-0.1.3-r1.ebuild:
+  sci-biology/SEECER: remove hardcoded paths
+
   12 Nov 2015; Martin Mokrejs 
   SEECER-0.1.3-r1.ebuild:
   sci-biology/SEECER: install also the main program wrapper

diff --git a/sci-biology/SEECER/SEECER-0.1.3-r1.ebuild 
b/sci-biology/SEECER/SEECER-0.1.3-r2.ebuild
similarity index 93%
rename from sci-biology/SEECER/SEECER-0.1.3-r1.ebuild
rename to sci-biology/SEECER/SEECER-0.1.3-r2.ebuild
index 1110b97..730c429 100644
--- a/sci-biology/SEECER/SEECER-0.1.3-r1.ebuild
+++ b/sci-biology/SEECER/SEECER-0.1.3-r2.ebuild
@@ -4,6 +4,8 @@
 
 EAPI=5
 
+inherit eutils
+
 DESCRIPTION="SEquencing Error Corrector for RNA-Seq reads"
 HOMEPAGE="http://sb.cs.cmu.edu/seecer/;
 SRC_URI="
@@ -27,6 +29,7 @@ S="${S}"/SEECER
 src_prepare(){
# 
http://seecer-rna-read-error-correction-mailing-list.21961.x6.nabble.com/Segmentation-fault-in-step-4-td41.html
cp -p "${FILESDIR}"/replace_ids.cc "${S}"/src/ || die
+   epatch "${FILESDIR}"/remove-hardcoded-paths.patch
 }
 
 src_install(){

diff --git a/sci-biology/SEECER/files/remove-hardcoded-paths.patch 
b/sci-biology/SEECER/files/remove-hardcoded-paths.patch
new file mode 100644
index 000..9258e50
--- /dev/null
+++ b/sci-biology/SEECER/files/remove-hardcoded-paths.patch
@@ -0,0 +1,49 @@
+--- SEECER-0.1.3/SEECER/bin/run_seecer.sh.old  2015-11-13 18:17:53.985784977 
+0100
 SEECER-0.1.3/SEECER/bin/run_seecer.sh  2015-11-13 18:20:19.995787411 
+0100
+@@ -25,8 +25,8 @@
+ #
+ 
+ 
+-BINDIR='bin/' #this can be hardcoded to /absolute/path/to/SEECER/bin/
+-JF="../jellyfish-1.1.11/bin/jellyfish"#this may be hardcoded to 
/absolute/path/to/jellyfish/bin/
++BINDIR='' #this can be hardcoded to /absolute/path/to/SEECER/bin/
++JF="jellyfish"#this may be hardcoded to /absolute/path/to/jellyfish/bin/
+ 
+ K=17
+ SEECER_PARAMS=""
+@@ -149,7 +149,7 @@
+ then
+ echo "++ Step 1: Replacing Ns ... and stripping off read IDs"
+ echo
+-${BINDIR}/random_sub_N $RS_ARGS
++"${BINDIR}"random_sub_N $RS_ARGS
+ fi;
+ 
+ if [ ! -r $Read1_N ];
+@@ -166,7 +166,7 @@
+ then
+ echo "++ Step 2: Running JELLYFISH to count kmers ..."
+ echo
+-bash ${BINDIR}/run_jellyfish.sh $JF $TMPDIR/counts_${K}_${LCOUNT} $K 
$LCOUNT $TMPDIR $Read1_N $Read2_N
++bash "${BINDIR}"run_jellyfish.sh $JF $TMPDIR/counts_${K}_${LCOUNT} $K 
$LCOUNT $TMPDIR $Read1_N $Read2_N
+ fi;
+ 
+ if [ ! -r $TMPDIR/counts_${K}_${LCOUNT} ];
+@@ -185,7 +185,7 @@
+ echo 
"---"
+ echo " *** Start time: " `date`;
+ 
+-${BINDIR}/seecer $Read1_N $Read2_N $SEECER_PARAMS --kmer $K -k 
$TMPDIR/counts_${K}_${LCOUNT} -o $TMPDIR/corrected.fasta
++"${BINDIR}"seecer $Read1_N $Read2_N $SEECER_PARAMS --kmer $K -k 
$TMPDIR/counts_${K}_${LCOUNT} -o $TMPDIR/corrected.fasta
+ echo " *** End time: " `date`;
+ echo 
"---"
+ echo
+@@ -204,7 +204,7 @@
+ if [ $SeecerStep -le 4 ];
+ then
+ echo "++ Step 4: Cleaning and putting back original read IDs ... We 
finish soon!"
+-${BINDIR}/replace_ids $TMPDIR/corrected.fasta $Reads $Reads_N $Reads_O
++"${BINDIR}"replace_ids $TMPDIR/corrected.fasta $Reads $Reads_N $Reads_O
+ #rm $TMPDIR/corrected.fasta
+ fi;
+  



[gentoo-commits] proj/sci:master commit in: sci-biology/SEECER/, sci-biology/SEECER/files/

2015-04-30 Thread Martin Mokrejs
commit: d4e2d5a53d73f9a69ca36fbd54fff4ac161398bb
Author: Martin Mokrejš mmokrejs AT fold DOT natur DOT cuni DOT cz
AuthorDate: Thu Apr 30 21:59:43 2015 +
Commit: Martin Mokrejs mmokrejs AT fold DOT natur DOT cuni DOT cz
CommitDate: Thu Apr 30 21:59:43 2015 +
URL:https://gitweb.gentoo.org/proj/sci.git/commit/?id=d4e2d5a5

sci-biology/SEECER: added upstream 'patch'; do more proper install process

Package-Manager: portage-2.2.18

 sci-biology/SEECER/ChangeLog  |   7 +-
 sci-biology/SEECER/SEECER-0.1.3-r1.ebuild |  35 ++
 sci-biology/SEECER/SEECER-0.1.3.ebuild|  34 -
 sci-biology/SEECER/files/replace_ids.cc   | Bin 0 - 1006 bytes
 4 files changed, 41 insertions(+), 35 deletions(-)

diff --git a/sci-biology/SEECER/ChangeLog b/sci-biology/SEECER/ChangeLog
index 1ac7a38..a57cf30 100644
--- a/sci-biology/SEECER/ChangeLog
+++ b/sci-biology/SEECER/ChangeLog
@@ -2,6 +2,12 @@
 # Copyright 1999-2015 Gentoo Foundation; Distributed under the GPL v2
 # $Header: $
 
+*SEECER-0.1.3-r1 (30 Apr 2015)
+
+  30 Apr 2015; Martin Mokrejs mmokr...@fold.natur.cuni.cz
+  +SEECER-0.1.3-r1.ebuild, +files/replace_ids.cc, -SEECER-0.1.3.ebuild:
+  sci-biology/SEECER: added upstream 'patch'; do more proper install process
+
   10 Jan 2015; Justin Lecher j...@gentoo.org SEECER-0.1.3.ebuild:
   Fix license
 
@@ -10,4 +16,3 @@
   07 Jan 2015; Martin Mokrejs mmokr...@fold.natur.cuni.cz
   +SEECER-0.1.3.ebuild, +metadata.xml:
   initial ebuild
-

diff --git a/sci-biology/SEECER/SEECER-0.1.3-r1.ebuild 
b/sci-biology/SEECER/SEECER-0.1.3-r1.ebuild
new file mode 100644
index 000..bfebed9
--- /dev/null
+++ b/sci-biology/SEECER/SEECER-0.1.3-r1.ebuild
@@ -0,0 +1,35 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: $
+
+EAPI=5
+
+DESCRIPTION=SEquencing Error Corrector for RNA-Seq reads
+HOMEPAGE=http://sb.cs.cmu.edu/seecer/;
+SRC_URI=
+   http://sb.cs.cmu.edu/seecer/downloads/${P}.tar.gz
+   http://sb.cs.cmu.edu/seecer/downloads/manual.pdf - ${PN}-manual.pdf
+
+LICENSE=GPL-3
+SLOT=0
+KEYWORDS=~amd64
+IUSE=
+
+# although has bundled jellyfish-1.1.11 copy it just calls the executable 
during runtime
+DEPEND=
+   sci-libs/gsl
+   sci-biology/seqan
+RDEPEND=${DEPEND}
+   sci-biology/jellyfish
+
+S=${S}/SEECER
+
+src_prepare(){
+   # 
http://seecer-rna-read-error-correction-mailing-list.21961.x6.nabble.com/Segmentation-fault-in-step-4-td41.html
+   cp -p ${FILESDIR}/replace_ids.cc ${S}/src/ || die
+}
+
+src_install(){
+   dobin bin/seecer bin/random_sub_N bin/replace_ids bin/run_jellyfish.sh
+   dodoc README ${DISTDIR}/${PN}-manual.pdf
+}

diff --git a/sci-biology/SEECER/SEECER-0.1.3.ebuild 
b/sci-biology/SEECER/SEECER-0.1.3.ebuild
deleted file mode 100644
index d415a01..000
--- a/sci-biology/SEECER/SEECER-0.1.3.ebuild
+++ /dev/null
@@ -1,34 +0,0 @@
-# Copyright 1999-2015 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License v2
-# $Header: $
-
-EAPI=5
-
-DESCRIPTION=Error corrector for RNA-Seq reads
-HOMEPAGE=http://sb.cs.cmu.edu/seecer/;
-SRC_URI=
-   http://sb.cs.cmu.edu/seecer/downloads/SEECER-0.1.3.tar.gz
-   http://sb.cs.cmu.edu/seecer/downloads/manual.pdf;
-
-LICENSE=GPL-3
-SLOT=0
-KEYWORDS=
-IUSE=
-
-DEPEND=
-   sci-libs/gsl
-   sci-biology/seqan
-   sci-biology/jellyfish
-RDEPEND=${DEPEND}
-
-S=${S}/SEECER
-
-# doh, it install /usr/bin/seecer (note the lowercase letters)
-
-# checking for x86_64-pc-linux-gnu-gcc option to support OpenMP... -fopenmp
-# 
-# Uses:
-# libgomp.so.1 = /usr/lib/gcc/x86_64-pc-linux-gnu/4.8.3/libgomp.so.1 
(0x7f7853faf000)
-
-# dobin bin/run_seecer.sh
-# dodoc ${DISTDIR}/manual.pdf

diff --git a/sci-biology/SEECER/files/replace_ids.cc 
b/sci-biology/SEECER/files/replace_ids.cc
new file mode 100644
index 000..0a77819
Binary files /dev/null and b/sci-biology/SEECER/files/replace_ids.cc differ